Resolve Secured Hash

Credentials

No credentials are documented for this endpoint.

This end-point is used for our MPI / 3D secure as-a-service funtionality.

You can use this endpoint in order to resolve the secured hash sent from PayMe.

Parameters

Name In Type Required Description
PayMe-Merchant-Key header string no The MPL of the seller.

Request body

Content type: application/json

Field Type Required Description
status_code number yes Status of the action (0 - success)
xid string no The XID generated by the credit card issuer
eci string no The ECI generated by the credit card issuer
cavv string no The CAVV generated by the credit card issuer
payme_sale_id string no PayMe unique sale ID

Request example

{
  "status_code": 0,
  "xid": "NjZjYzUyZDJmMDQ0NDEzN2FiNGE=",
  "eci": "05",
  "cavv": "AAACBDaFQCAjBBUAJ4VAAAAAAAA=",
  "payme_sale_id": "SALE1587-486438YT-JLHBOZLR-AJJTULHT"
}

Code samples

curl

curl -X GET 'https://sandbox.payme.io/api/sales/payme_sale_id/3ds/hash' \
  -H 'Content-Type: application/json' \
  --data-raw '{
  "status_code": 0,
  "xid": "NjZjYzUyZDJmMDQ0NDEzN2FiNGE=",
  "eci": "05",
  "cavv": "AAACBDaFQCAjBBUAJ4VAAAAAAAA=",
  "payme_sale_id": "SALE1587-486438YT-JLHBOZLR-AJJTULHT"
}'

Node.js

const response = await fetch("https://sandbox.payme.io/api/sales/payme_sale_id/3ds/hash", {
  method: "GET",
  headers: {
    "Content-Type": "application/json",
  },
  body: JSON.stringify({
    "status_code": 0,
    "xid": "NjZjYzUyZDJmMDQ0NDEzN2FiNGE=",
    "eci": "05",
    "cavv": "AAACBDaFQCAjBBUAJ4VAAAAAAAA=",
    "payme_sale_id": "SALE1587-486438YT-JLHBOZLR-AJJTULHT"
  }),
});

console.log(await response.text());

Python

import requests

response = requests.get(
    "https://sandbox.payme.io/api/sales/payme_sale_id/3ds/hash",
    json={
        "status_code": 0,
        "xid": "NjZjYzUyZDJmMDQ0NDEzN2FiNGE=",
        "eci": "05",
        "cavv": "AAACBDaFQCAjBBUAJ4VAAAAAAAA=",
        "payme_sale_id": "SALE1587-486438YT-JLHBOZLR-AJJTULHT",
    },
)

print(response.text)

PHP

<?php

$body = <<<'BODY'
{
  "status_code": 0,
  "xid": "NjZjYzUyZDJmMDQ0NDEzN2FiNGE=",
  "eci": "05",
  "cavv": "AAACBDaFQCAjBBUAJ4VAAAAAAAA=",
  "payme_sale_id": "SALE1587-486438YT-JLHBOZLR-AJJTULHT"
}
BODY;

$ch = curl_init('https://sandbox.payme.io/api/sales/payme_sale_id/3ds/hash');
curl_setopt_array($ch, [
    CURLOPT_CUSTOMREQUEST => 'GET',
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_HTTPHEADER => [
        'Content-Type: application/json',
    ],
    CURLOPT_POSTFIELDS => $body,
]);

$response = curl_exec($ch);
curl_close($ch);

echo $response;

Responses

200 — OK (success)

Field Type Description
status_code number Status of the action (0 - success, 1 - failure)
payme_sale_id string PayMe unique sale ID
{
  "status_code": 1,
  "status": "N",
  "payme_sale_id": "SALE1587-486438YT-JLHBOZLR-AJJTULHT"
}

400 — Bad Request (error)

Field Type Description
status_code number Status of the request (1 - failure)
status_error_details string Error message
status_additional_info string Additional error information
status_error_code number Our unique error code
{
  "status_code": 1,
  "status_error_details": "Validation error",
  "status_additional_info": "eyJpdiI6Ilp...",
  "status_error_code": 20
}